## org.codehaus.groovy.grails.compiler.injection
Class GlobalEntityASTTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.GlobalEntityASTTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    public class GlobalEntityASTTransformation

extends Object
implements org.codehaus.groovy.transform.ASTTransformation

A global AST transformation that injects methods and properties into classes in the grails-app/domain directory

Since:
  1.2

  Created: Dec 17, 2008
Author:
  Graeme Rocher

Constructor Summary
`GlobalEntityASTTransformation()`

Method Summary
`void` `visit(org.codehaus.groovy.ast.ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalEntityASTTransformation

    public GlobalEntityASTTransformation()

Method Detail

### visit

    public void visit(org.codehaus.groovy.ast.ASTNode[] nodes,
                      org.codehaus.groovy.control.SourceUnit source)

  Specified by:
    `visit` in interface `org.codehaus.groovy.transform.ASTTransformation`

Copyright (c) 2005-2009 The Grails project